Bug 831155 - Fix "Plugin execution not covered by lifecycle configuration" error marker in Eclipse
Fix "Plugin execution not covered by lifecycle configuration" error marker in...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: unspecified (Show other bugs)
5.2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Peter Palaga
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 06:32 EDT by Peter Palaga
Modified: 2012-06-12 10:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 10:15:00 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8720 by ppalaga at 2012-06-12 06:33:36 EDT (show)
8720 by ppalaga at 2012-06-12 06:33:36 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 831155 - Fix "Plugin execution not covered by lifecycle configuration" error marker in Eclipse

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/pom.xml (+77 / -0)
8725 by ppalaga at 2012-06-18 09:52:47 EDT (show)
8725 by ppalaga at 2012-06-18 09:52:47 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 831155 - Fix "Plugin execution not covered by lifecycle configuration" error marker in Eclipse (a small addendum)

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/pom.xml (+1 / -1)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2470 Trivial Resolved Fix "Plugin execution not covered by lifecycle configuration" error marker in Eclipse 2012-10-08 11:17:01 EDT

  None (edit)
Description Peter Palaga 2012-06-12 06:32:36 EDT
See the linked Jira.
Comment 1 Peter Palaga 2012-06-12 06:45:49 EDT
Fixed in revision 8720
Comment 2 Peter Palaga 2012-06-12 09:18:00 EDT
Honza says that CLOSED/NOTABUG should be changed to ON_QA
Comment 3 Peter Palaga 2012-06-12 09:41:41 EDT
Added technical notes.
Comment 4 Peter Palaga 2012-06-12 09:41:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Eclipse's Maven plugin m2e is showing several "Plugin execution not covered by lifecycle configuration" error markers in its Problems View after a fresh checkout of gatein-portal project.
Fixed through inserting a piece of XML code which explicitly instructs m2e that it should ignore the uncovered plugins.
Result: "Plugin execution not covered by lifecycle configuration" error markers do not appear anymore in Eclipse.
Comment 5 Peter Palaga 2012-06-12 10:15:00 EDT
Technical notes removed as this is our internal engineering stuff.
Comment 6 Peter Palaga 2012-06-12 10:15:01 EDT
Deleted Technical Notes Contents.

Old Contents:
Cause: Eclipse's Maven plugin m2e is showing several "Plugin execution not covered by lifecycle configuration" error markers in its Problems View after a fresh checkout of gatein-portal project.
Fixed through inserting a piece of XML code which explicitly instructs m2e that it should ignore the uncovered plugins.
Result: "Plugin execution not covered by lifecycle configuration" error markers do not appear anymore in Eclipse.

Note You need to log in before you can comment on or make changes to this bug.